Lovense Integration: FLovenseCommandDelayTimers Struct Reference

Lovense Integration

Public Attributes | List of all members
FLovenseCommandDelayTimers Struct Reference

These timers define the minimum update frequencies for the respective commands.
There's a global set of these used when commands are broadcasted and each toy has their own set of these used when commands are sent to a specific toy.
Commands cannot be sent while their respective delay timer is active.
This is necessary as to not overwhelm the toys with commands. More...

`#include <LovenseIntegration/Source/LovenseIntegration/Public/LovenseTypes.h>`

## Public Attributes

FTimerHandle | commandDelayTimerHandle_Vibrate = FTimerHandle()
FTimerHandle | commandDelayTimerHandle_Vibrate1 = FTimerHandle()
FTimerHandle | commandDelayTimerHandle_Vibrate2 = FTimerHandle()
FTimerHandle | commandDelayTimerHandle_VibRotateAir = FTimerHandle()
FTimerHandle | commandDelayTimerHandle_Rotate = FTimerHandle()
FTimerHandle | commandDelayTimerHandle_Air = FTimerHandle()
FTimerHandle | commandDelayTimerHandle_Thrust = FTimerHandle()
FTimerHandle | commandDelayTimerHandle_Suck = FTimerHandle()
FTimerHandle | commandDelayTimerHandle_Finger = FTimerHandle()
FTimerHandle | commandDelayTimerHandle_Preset = FTimerHandle()
FTimerHandle | commandDelayTimerHandle_All = FTimerHandle()
FTimerHandle | commandDelayTimerHandle_Pattern = FTimerHandle()
float | commandDelay_Vibrate = 0.2f
float | commandDelay_Vibrate1 = 0.2f
float | commandDelay_Vibrate2 = 0.2f
float | commandDelay_VibRotateAir = 0.2f
float | commandDelay_Rotate = 1.0f
float | commandDelay_Air = 1.0f
float | commandDelay_Thrust = 0.2f
float | commandDelay_Suck = 0.2f
float | commandDelay_Finger = 0.2f
float | commandDelay_Preset = 1.0f
float | commandDelay_All = 0.2f
float | commandDelay_Pattern = 0.1f

## Detailed Description

These timers define the minimum update frequencies for the respective commands.
There's a global set of these used when commands are broadcasted and each toy has their own set of these used when commands are sent to a specific toy.
Commands cannot be sent while their respective delay timer is active.
This is necessary as to not overwhelm the toys with commands.

The documentation for this struct was generated from the following file:

- LovenseIntegration/Source/LovenseIntegration/Public/LovenseTypes.h